## golang-github-pingcap-failpoint 0.0~git20240528.b51a646

=== debian/changelog ===
golang-github-pingcap-failpoint (0.0~git20240528.b51a646-1) unstable; urgency=medium

  * Initial release (Closes: #1107496)

 -- Otto Kekäläinen <otto@debian.org>  Thu, 05 Jun 2025 11:29:10 +0000
