=== debian/control ===
Source: golang-github-pingcap-failpoint
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Otto Kekäläinen <otto@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-pingcap-errors-dev,
 golang-github-pkg-errors-dev,
 golang-github-sergi-go-diff-dev,
 golang-github-stretchr-testify-dev,
 golang-golang-x-mod-dev,
 golang-uber-goleak-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-pingcap-failpoint
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-pingcap-failpoint.git
Homepage: https://github.com/pingcap/failpoint
XS-Go-Import-Path: github.com/pingcap/failpoint

Package: golang-github-pingcap-failpoint-dev
Architecture: all
Multi-Arch: foreign
Suggests: failpoint-tools
Depends:
 golang-github-pingcap-errors-dev,
 golang-github-pkg-errors-dev,
 golang-github-sergi-go-diff-dev,
 golang-github-stretchr-testify-dev,
 golang-golang-x-mod-dev,
 golang-uber-goleak-dev,
 ${misc:Depends},
Description: failpoint injection framework for Go (library)
 This Go library provides a powerful mechanism for injecting errors and
 abnormal behaviors into code for testing and debugging purposes. It enables
 developers to simulate various failure scenarios, such as network outages,
 I/O errors, or specific function return values, without modifying the
 core application logic.
 .
 The framework uses markers in the source code which are then processed by a
 tool to inject the failpoints. It supports various actions like returning
 values, sleeping, panicking, or pausing execution. Failpoints can be enabled
 conditionally based on probabilities or counts, and can be controlled
 programmatically at runtime. It also supports context-based evaluation of
 failpoints.

Package: failpoint-tools
Architecture: any
Multi-Arch: foreign
Static-Built-Using: ${misc:Static-Built-Using}
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: failpoint injection framework for Go (tools)
 This package contains command-line tools for the failpoint framework.
 .
  * failpoint-ctl: A utility to enable, disable, and configure failpoints
    in a running application.
  * failpoint-toolexec: A build tool used by the Go compiler to inject
    failpoint logic into source code during compilation.
 .
 This package is useful for developers who are using the failpoint library
 to test their applications.
